from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XScrollBar(XInterface, Protocol):
    def addAdjustmentListener(self, l: XAdjustmentListener) -> None: ...
    def removeAdjustmentListener(self, l: XAdjustmentListener) -> None: ...
    def setValue(self, n: int) -> None: ...
    def setValues(self, nValue: int, nVisible: int, nMax: int) -> None: ...
    def getValue(self) -> int: ...
    def setMaximum(self, n: int) -> None: ...
    def getMaximum(self) -> int: ...
    def setLineIncrement(self, n: int) -> None: ...
    def getLineIncrement(self) -> int: ...
    def setBlockIncrement(self, n: int) -> None: ...
    def getBlockIncrement(self) -> int: ...
    def setVisibleSize(self, n: int) -> None: ...
    def getVisibleSize(self) -> int: ...
    def setOrientation(self, n: int) -> None: ...
    def getOrientation(self) -> int: ...
